<?php

namespace Database;
use Model\User;

class AthleteMapper {
    public function fromSqlToEntity(array $data):AthleteEntity {
        $athlete = new AthleteEntity();
        $athlete->setIdAthlete($data['idAthlete']);
        $athlete->setNom($data['nom']);
        $athlete->setPrenom($data['prenom']);
        $athlete->setEmail($data['email']);
        $athlete->setSexe($data['sexe']);
        $athlete->setTaille($data['taille']);
        $athlete->setPoids($data['poids']);
        $athlete->setMotDePasse($data['motDePasse']);
        $athlete->setDateNaissance($data['dateNaissance']);

        return $athlete;
    }

    public function AthleteEntityToModel(AthleteEntity $athleteEntity):User{
        $role = "Athlete";

        $user = new User(
            $athleteEntity->getIdAthlete(),
            $athleteEntity->getNom(),
            $athleteEntity->getPrenom(),
            $athleteEntity->getEmail(),
            $athleteEntity->getMotDePasse(),
            $athleteEntity->getSexe(),
            $athleteEntity->getTaille(),
            $athleteEntity->getPoids(),
            $athleteEntity->getDateNaissance(),
            $role
        );

        return $user;
    }

    public function AthletetoEntity(User $user):AthleteEntity{

        $ath = new AthleteEntity();
        $ath->setIdAthlete($user->getId());
        $ath->setNom($user->getNom());
        $ath->setPrenom($user->getPrenom());
        $ath->setEmail($user->getEmail());
        $ath->setSexe($user->getSexe());
        $ath->setTaille($user->getTaille());
        $ath->setPoids($user->getPoids());
        $ath->setMotDePasse($user->getMotDePasse());
        $ath->setDateNaissance($user->getDateNaissance());

        return $ath;
    }

}

?>
